
TYPO3.Flow - Bug # 42434

Status: Resolved Priority: Should have
Author: Ferdinand Kuhl Category: Session
Created: 2012-10-26 Assigned To: Robert Lemke
Updated: 2012-10-29 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Affected Flow version: Git 1.2 (master)
Subject: Resource handler not available when session is initialized
Description

In current master (and all earlier releases) the bootstrap initializes the session before the resource wrappers. If you now try to attach
an Image(Variant) from TYPO3.Image to a session, this Variant first checks (during initializeObject()) if the resource is available -
which simply is not possible at the session __wakeup event, as there are no registered stream-wrappers yet.

I suggest: Change the order and let session and resource - Steps swap their places.

Associated revisions
Revision 84ef743d - 2012-10-29 09:38 - Ferdinand Kuhl

[BUGFIX] Initialize resource wrapper before session

If you try to attach a resource-dependent object to a session, this
will fail, as the _wakeup() method is called before the resource
wrappers are initialized.

This patch makes sure that the resource framework is initialized
before the session framework in the standard runtime sequence of the
bootstrap.

Fixes: #42434
Releases: 1.2

Change-Id: I22bf23618527164cad6a282bc8230a69ad309ed6

History
#1 - 2012-10-26 22:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15964

#2 - 2012-10-26 22:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15964
#3 - 2012-10-29 09:33 - Robert Lemke
- Category set to Session
- Assigned To set to Robert Lemke
- Target version set to 2.0 beta 1

#4 - 2012-10-29 09:37 - Robert Lemke
- Tracker changed from Feature to Bug
- Subject changed from Bootstrap: Resource before session to Resource handler not available when session is initialized
- Affected Flow version set to Git 1.2 (master)

#5 - 2012-10-29 09:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15964

#6 - 2012-10-29 10:36 - Ferdinand Kuhl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:84ef743d1530b5344b2599efea211bd311f9e16c.
